<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://tempuri.org/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/">
      <s:element name="CreaReportPO">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="codiceAgente" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="codiceFiscale" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="codiceMandato" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="codiceRete" type="s:string" />
            <s:element minOccurs="1" maxOccurs="1" name="chiaveProposta" type="s:long" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CreaReportPOResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="CreaReportPOResult" type="s:base64Binary" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CreaReportNoChiave">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="codiceAgente" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="codiceFiscale" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="codiceMandato" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="codiceRete" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="template" type="tns:Template" />
            <s:element minOccurs="0" maxOccurs="1" name="parametri" type="tns:ArrayOfParametro" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="Template">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="Id" type="s:int" />
          <s:element minOccurs="0" maxOccurs="1" name="Nome" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="CodicePb" type="s:string" />
          <s:element minOccurs="1" maxOccurs="1" name="IdModello" type="s:int" />
          <s:element minOccurs="0" maxOccurs="1" name="Options" type="tns:ArrayOfOption" />
          <s:element minOccurs="0" maxOccurs="1" name="IsDefault" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Schede" type="tns:ArrayOfSchedaTemplate" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfOption">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="Option" nillable="true" type="tns:Option" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="Option">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Key" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Value" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfSchedaTemplate">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="SchedaTemplate" nillable="true" type="tns:SchedaTemplate" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="SchedaTemplate">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="Id" type="s:int" />
          <s:element minOccurs="0" maxOccurs="1" name="Options" type="tns:ArrayOfOption" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfParametro">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="Parametro" nillable="true" type="tns:Parametro" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="Parametro">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Key" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Value" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Parametri" type="tns:ArrayOfParametro" />
        </s:sequence>
      </s:complexType>
      <s:element name="CreaReportNoChiaveResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="CreaReportNoChiaveResult" type="s:base64Binary" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CreaReport">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="codiceAgente" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="codiceFiscale" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="codiceMandato" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="codiceRete" type="s:string" />
            <s:element minOccurs="1" maxOccurs="1" name="chiave" type="s:long" />
            <s:element minOccurs="0" maxOccurs="1" name="template" type="tns:Template" />
            <s:element minOccurs="0" maxOccurs="1" name="parametri" type="tns:ArrayOfParametro" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CreaReportResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="CreaReportResult" type="s:base64Binary" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CreaReportOld">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="chiave" type="s:long" />
            <s:element minOccurs="0" maxOccurs="1" name="template" type="tns:Template" />
            <s:element minOccurs="0" maxOccurs="1" name="parametri" type="tns:ArrayOfParametro" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CreaReportOldResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="CreaReportOldResult" type="s:base64Binary" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetModelli">
        <s:complexType />
      </s:element>
      <s:element name="GetModelliResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetModelliResult" type="tns:ArrayOfModello" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfModello">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="Modello" nillable="true" type="tns:Modello" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="Modello">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="Id" type="s:int" />
          <s:element minOccurs="0" maxOccurs="1" name="Nome" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Rete" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Schede" type="tns:ArrayOfScheda" />
          <s:element minOccurs="0" maxOccurs="1" name="Templates" type="tns:ArrayOfTemplate" />
          <s:element minOccurs="0" maxOccurs="1" name="Options" type="tns:ArrayOfOption" />
          <s:element minOccurs="0" maxOccurs="1" name="Tabs" type="tns:ArrayOfTabs" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfScheda">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="Scheda" nillable="true" type="tns:Scheda" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="Scheda">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="Id" type="s:int" />
          <s:element minOccurs="0" maxOccurs="1" name="NomeImmagine" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="TestoHTML" type="s:string" />
          <s:element minOccurs="1" maxOccurs="1" name="NumTab" type="s:int" />
          <s:element minOccurs="0" maxOccurs="1" name="Sezioni" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Vincoli" type="tns:ArrayOfVincolo" />
          <s:element minOccurs="0" maxOccurs="1" name="Options" type="tns:ArrayOfOption" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfVincolo">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="Vincolo" nillable="true" type="tns:Vincolo" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="Vincolo">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Key" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Value" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfTemplate">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="Template" nillable="true" type="tns:Template" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfTabs">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="Tabs" nillable="true" type="tns:Tabs" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="Tabs">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="IdModello" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="NumTab" type="s:int" />
          <s:element minOccurs="0" maxOccurs="1" name="Titolo" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:element name="GetModello">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="idModello" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="codicePb" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetModelloResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetModelloResult" type="tns:Modello" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetVincoliNoChiave">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="codiceAgente" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="codiceFiscale" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="codiceMandato" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="codiceRete" type="s:string" />
            <s:element minOccurs="1" maxOccurs="1" name="proposta" type="s:long" />
            <s:element minOccurs="0" maxOccurs="1" name="modello" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetVincoliNoChiaveResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetVincoliNoChiaveResult" type="tns:ArrayOfVincolo" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetVincoli">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="chiave" type="s:long" />
            <s:element minOccurs="1" maxOccurs="1" name="proposta" type="s:long" />
            <s:element minOccurs="0" maxOccurs="1" name="modello" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetVincoliResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetVincoliResult" type="tns:ArrayOfVincolo" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetTemplates">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="idModello" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="codicePb" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetTemplatesResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetTemplatesResult" type="tns:ArrayOfTemplate" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetTemplate">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="idTemplate" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="isDefault" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetTemplateResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetTemplateResult" type="tns:Template" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetSchedeTemplate">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="idTemplate" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="isDefault" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetSchedeTemplateResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetSchedeTemplateResult" type="tns:ArrayOfSchedaTemplate" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SetTemplate">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="idModello" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="codicePb" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="nomeTemplate" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="opzTemplate" type="tns:ArrayOfOption" />
            <s:element minOccurs="0" maxOccurs="1" name="schede" type="tns:ArrayOfSchedaTemplate" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SetTemplateResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="SetTemplateResult" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DelTemplate">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="idTemplate" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DelTemplateResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="DelTemplateResult" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SetDocumentPdf">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="documentoPdf" type="tns:DocumentoPdf" />
            <s:element minOccurs="0" maxOccurs="1" name="idProvenienza" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="DocumentoPdf">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="IdPdf" type="s:long" />
          <s:element minOccurs="1" maxOccurs="1" name="IdModello" type="s:int" />
          <s:element minOccurs="0" maxOccurs="1" name="IdStato" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="IdArchivio" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="CodicePB" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Note" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Image" type="s:base64Binary" />
          <s:element minOccurs="1" maxOccurs="1" name="ChiaveNucleo" type="s:long" />
          <s:element minOccurs="0" maxOccurs="1" name="Clienti" type="tns:ArrayOfCliente" />
          <s:element minOccurs="1" maxOccurs="1" name="dtCreazione" type="s:dateTime" />
          <s:element minOccurs="1" maxOccurs="1" name="dtRestore" type="s:dateTime" />
          <s:element minOccurs="1" maxOccurs="1" name="dtEliminato" type="s:dateTime" />
          <s:element minOccurs="0" maxOccurs="1" name="logPdf" type="tns:ArrayOfLogPdf" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfCliente">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="Cliente" nillable="true" type="tns:Cliente" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="Cliente">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="ChiaveClientePb" type="s:long" />
          <s:element minOccurs="0" maxOccurs="1" name="CodiceContratto" type="s:string" />
          <s:element minOccurs="1" maxOccurs="1" name="ChiaveProposta" type="s:long" />
          <s:element minOccurs="0" maxOccurs="1" name="PropostaBase" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfLogPdf">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="LogPdf" nillable="true" type="tns:LogPdf" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="LogPdf">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="IdPdf" type="s:long" />
          <s:element minOccurs="0" maxOccurs="1" name="Dtstamp" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Evento" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Provenienza" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="EventoDesc" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Utente" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:element name="SetDocumentPdfResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="SetDocumentPdfResult" type="s:long" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SetStato">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="idPdf" type="s:long" />
            <s:element minOccurs="0" maxOccurs="1" name="idstato" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="idProvenienza" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SetStatoResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="SetStatoResult" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetlogPdf">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="idPdf" type="s:long" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetlogPdfResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetlogPdfResult" type="tns:ArrayOfLogPdf" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetPdfs">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="ricercaPdf" type="tns:RicercaPdf" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="RicercaPdf">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="IdPdf" type="s:long" />
          <s:element minOccurs="0" maxOccurs="1" name="IdProvenienza" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="IdModello" type="tns:ArrayOfInt" />
          <s:element minOccurs="0" maxOccurs="1" name="IdStato" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="IdArchivio" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="CodicePb" type="s:string" />
          <s:element minOccurs="1" maxOccurs="1" name="DtInizio" type="s:dateTime" />
          <s:element minOccurs="1" maxOccurs="1" name="DtFine" type="s:dateTime" />
          <s:element minOccurs="0" maxOccurs="1" name="CodiceContratto" type="s:string" />
          <s:element minOccurs="1" maxOccurs="1" name="ChiaveNucleo" type="s:long" />
          <s:element minOccurs="1" maxOccurs="1" name="ChiaveClientePb" type="s:long" />
          <s:element minOccurs="0" maxOccurs="1" name="ChiaveProposta" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="PropostaBase" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfInt">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="int" type="s:int" />
        </s:sequence>
      </s:complexType>
      <s:element name="GetPdfsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetPdfsResult" type="tns:ArrayOfDocumentoPdf" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfDocumentoPdf">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="DocumentoPdf" nillable="true" type="tns:DocumentoPdf" />
        </s:sequence>
      </s:complexType>
      <s:element name="GetPdf">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="idPdf" type="s:long" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetPdfResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetPdfResult" type="tns:DocumentoPdf" />
          </s:sequence>
        </s:complexType>
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="CreaReportPOSoapIn">
    <wsdl:part name="parameters" element="tns:CreaReportPO" />
  </wsdl:message>
  <wsdl:message name="CreaReportPOSoapOut">
    <wsdl:part name="parameters" element="tns:CreaReportPOResponse" />
  </wsdl:message>
  <wsdl:message name="CreaReportNoChiaveSoapIn">
    <wsdl:part name="parameters" element="tns:CreaReportNoChiave" />
  </wsdl:message>
  <wsdl:message name="CreaReportNoChiaveSoapOut">
    <wsdl:part name="parameters" element="tns:CreaReportNoChiaveResponse" />
  </wsdl:message>
  <wsdl:message name="CreaReportSoapIn">
    <wsdl:part name="parameters" element="tns:CreaReport" />
  </wsdl:message>
  <wsdl:message name="CreaReportSoapOut">
    <wsdl:part name="parameters" element="tns:CreaReportResponse" />
  </wsdl:message>
  <wsdl:message name="CreaReportOldSoapIn">
    <wsdl:part name="parameters" element="tns:CreaReportOld" />
  </wsdl:message>
  <wsdl:message name="CreaReportOldSoapOut">
    <wsdl:part name="parameters" element="tns:CreaReportOldResponse" />
  </wsdl:message>
  <wsdl:message name="GetModelliSoapIn">
    <wsdl:part name="parameters" element="tns:GetModelli" />
  </wsdl:message>
  <wsdl:message name="GetModelliSoapOut">
    <wsdl:part name="parameters" element="tns:GetModelliResponse" />
  </wsdl:message>
  <wsdl:message name="GetModelloSoapIn">
    <wsdl:part name="parameters" element="tns:GetModello" />
  </wsdl:message>
  <wsdl:message name="GetModelloSoapOut">
    <wsdl:part name="parameters" element="tns:GetModelloResponse" />
  </wsdl:message>
  <wsdl:message name="GetVincoliNoChiaveSoapIn">
    <wsdl:part name="parameters" element="tns:GetVincoliNoChiave" />
  </wsdl:message>
  <wsdl:message name="GetVincoliNoChiaveSoapOut">
    <wsdl:part name="parameters" element="tns:GetVincoliNoChiaveResponse" />
  </wsdl:message>
  <wsdl:message name="GetVincoliSoapIn">
    <wsdl:part name="parameters" element="tns:GetVincoli" />
  </wsdl:message>
  <wsdl:message name="GetVincoliSoapOut">
    <wsdl:part name="parameters" element="tns:GetVincoliResponse" />
  </wsdl:message>
  <wsdl:message name="GetTemplatesSoapIn">
    <wsdl:part name="parameters" element="tns:GetTemplates" />
  </wsdl:message>
  <wsdl:message name="GetTemplatesSoapOut">
    <wsdl:part name="parameters" element="tns:GetTemplatesResponse" />
  </wsdl:message>
  <wsdl:message name="GetTemplateSoapIn">
    <wsdl:part name="parameters" element="tns:GetTemplate" />
  </wsdl:message>
  <wsdl:message name="GetTemplateSoapOut">
    <wsdl:part name="parameters" element="tns:GetTemplateResponse" />
  </wsdl:message>
  <wsdl:message name="GetSchedeTemplateSoapIn">
    <wsdl:part name="parameters" element="tns:GetSchedeTemplate" />
  </wsdl:message>
  <wsdl:message name="GetSchedeTemplateSoapOut">
    <wsdl:part name="parameters" element="tns:GetSchedeTemplateResponse" />
  </wsdl:message>
  <wsdl:message name="SetTemplateSoapIn">
    <wsdl:part name="parameters" element="tns:SetTemplate" />
  </wsdl:message>
  <wsdl:message name="SetTemplateSoapOut">
    <wsdl:part name="parameters" element="tns:SetTemplateResponse" />
  </wsdl:message>
  <wsdl:message name="DelTemplateSoapIn">
    <wsdl:part name="parameters" element="tns:DelTemplate" />
  </wsdl:message>
  <wsdl:message name="DelTemplateSoapOut">
    <wsdl:part name="parameters" element="tns:DelTemplateResponse" />
  </wsdl:message>
  <wsdl:message name="SetDocumentPdfSoapIn">
    <wsdl:part name="parameters" element="tns:SetDocumentPdf" />
  </wsdl:message>
  <wsdl:message name="SetDocumentPdfSoapOut">
    <wsdl:part name="parameters" element="tns:SetDocumentPdfResponse" />
  </wsdl:message>
  <wsdl:message name="SetStatoSoapIn">
    <wsdl:part name="parameters" element="tns:SetStato" />
  </wsdl:message>
  <wsdl:message name="SetStatoSoapOut">
    <wsdl:part name="parameters" element="tns:SetStatoResponse" />
  </wsdl:message>
  <wsdl:message name="GetlogPdfSoapIn">
    <wsdl:part name="parameters" element="tns:GetlogPdf" />
  </wsdl:message>
  <wsdl:message name="GetlogPdfSoapOut">
    <wsdl:part name="parameters" element="tns:GetlogPdfResponse" />
  </wsdl:message>
  <wsdl:message name="GetPdfsSoapIn">
    <wsdl:part name="parameters" element="tns:GetPdfs" />
  </wsdl:message>
  <wsdl:message name="GetPdfsSoapOut">
    <wsdl:part name="parameters" element="tns:GetPdfsResponse" />
  </wsdl:message>
  <wsdl:message name="GetPdfSoapIn">
    <wsdl:part name="parameters" element="tns:GetPdf" />
  </wsdl:message>
  <wsdl:message name="GetPdfSoapOut">
    <wsdl:part name="parameters" element="tns:GetPdfResponse" />
  </wsdl:message>
  <wsdl:portType name="ReportManagerSoap">
    <wsdl:operation name="CreaReportPO">
      <wsdl:input message="tns:CreaReportPOSoapIn" />
      <wsdl:output message="tns:CreaReportPOSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="CreaReportNoChiave">
      <wsdl:input message="tns:CreaReportNoChiaveSoapIn" />
      <wsdl:output message="tns:CreaReportNoChiaveSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="CreaReport">
      <wsdl:input message="tns:CreaReportSoapIn" />
      <wsdl:output message="tns:CreaReportSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="CreaReportOld">
      <wsdl:input message="tns:CreaReportOldSoapIn" />
      <wsdl:output message="tns:CreaReportOldSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetModelli">
      <wsdl:input message="tns:GetModelliSoapIn" />
      <wsdl:output message="tns:GetModelliSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetModello">
      <wsdl:input message="tns:GetModelloSoapIn" />
      <wsdl:output message="tns:GetModelloSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetVincoliNoChiave">
      <wsdl:input message="tns:GetVincoliNoChiaveSoapIn" />
      <wsdl:output message="tns:GetVincoliNoChiaveSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetVincoli">
      <wsdl:input message="tns:GetVincoliSoapIn" />
      <wsdl:output message="tns:GetVincoliSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetTemplates">
      <wsdl:input message="tns:GetTemplatesSoapIn" />
      <wsdl:output message="tns:GetTemplatesSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetTemplate">
      <wsdl:input message="tns:GetTemplateSoapIn" />
      <wsdl:output message="tns:GetTemplateSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetSchedeTemplate">
      <wsdl:input message="tns:GetSchedeTemplateSoapIn" />
      <wsdl:output message="tns:GetSchedeTemplateSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="SetTemplate">
      <wsdl:input message="tns:SetTemplateSoapIn" />
      <wsdl:output message="tns:SetTemplateSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="DelTemplate">
      <wsdl:input message="tns:DelTemplateSoapIn" />
      <wsdl:output message="tns:DelTemplateSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="SetDocumentPdf">
      <wsdl:input message="tns:SetDocumentPdfSoapIn" />
      <wsdl:output message="tns:SetDocumentPdfSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="SetStato">
      <wsdl:input message="tns:SetStatoSoapIn" />
      <wsdl:output message="tns:SetStatoSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetlogPdf">
      <wsdl:input message="tns:GetlogPdfSoapIn" />
      <wsdl:output message="tns:GetlogPdfSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetPdfs">
      <wsdl:input message="tns:GetPdfsSoapIn" />
      <wsdl:output message="tns:GetPdfsSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetPdf">
      <wsdl:input message="tns:GetPdfSoapIn" />
      <wsdl:output message="tns:GetPdfSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="ReportManagerSoap" type="tns:ReportManagerSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="CreaReportPO">
      <soap:operation soapAction="http://tempuri.org/CreaReportPO" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreaReportNoChiave">
      <soap:operation soapAction="http://tempuri.org/CreaReportNoChiave" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreaReport">
      <soap:operation soapAction="http://tempuri.org/CreaReport" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreaReportOld">
      <soap:operation soapAction="http://tempuri.org/CreaReportOld" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetModelli">
      <soap:operation soapAction="http://tempuri.org/GetModelli" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetModello">
      <soap:operation soapAction="http://tempuri.org/GetModello" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetVincoliNoChiave">
      <soap:operation soapAction="http://tempuri.org/GetVincoliNoChiave" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetVincoli">
      <soap:operation soapAction="http://tempuri.org/GetVincoli" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetTemplates">
      <soap:operation soapAction="http://tempuri.org/GetTemplates" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetTemplate">
      <soap:operation soapAction="http://tempuri.org/GetTemplate" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetSchedeTemplate">
      <soap:operation soapAction="http://tempuri.org/GetSchedeTemplate" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetTemplate">
      <soap:operation soapAction="http://tempuri.org/SetTemplate" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DelTemplate">
      <soap:operation soapAction="http://tempuri.org/DelTemplate" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetDocumentPdf">
      <soap:operation soapAction="http://tempuri.org/SetDocumentPdf" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetStato">
      <soap:operation soapAction="http://tempuri.org/SetStato" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetlogPdf">
      <soap:operation soapAction="http://tempuri.org/GetlogPdf" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetPdfs">
      <soap:operation soapAction="http://tempuri.org/GetPdfs" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetPdf">
      <soap:operation soapAction="http://tempuri.org/GetPdf" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="ReportManagerSoap12" type="tns:ReportManagerSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="CreaReportPO">
      <soap12:operation soapAction="http://tempuri.org/CreaReportPO" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreaReportNoChiave">
      <soap12:operation soapAction="http://tempuri.org/CreaReportNoChiave" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreaReport">
      <soap12:operation soapAction="http://tempuri.org/CreaReport" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreaReportOld">
      <soap12:operation soapAction="http://tempuri.org/CreaReportOld" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetModelli">
      <soap12:operation soapAction="http://tempuri.org/GetModelli" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetModello">
      <soap12:operation soapAction="http://tempuri.org/GetModello" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetVincoliNoChiave">
      <soap12:operation soapAction="http://tempuri.org/GetVincoliNoChiave" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetVincoli">
      <soap12:operation soapAction="http://tempuri.org/GetVincoli" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetTemplates">
      <soap12:operation soapAction="http://tempuri.org/GetTemplates" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetTemplate">
      <soap12:operation soapAction="http://tempuri.org/GetTemplate" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetSchedeTemplate">
      <soap12:operation soapAction="http://tempuri.org/GetSchedeTemplate" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetTemplate">
      <soap12:operation soapAction="http://tempuri.org/SetTemplate" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DelTemplate">
      <soap12:operation soapAction="http://tempuri.org/DelTemplate" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetDocumentPdf">
      <soap12:operation soapAction="http://tempuri.org/SetDocumentPdf" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetStato">
      <soap12:operation soapAction="http://tempuri.org/SetStato" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetlogPdf">
      <soap12:operation soapAction="http://tempuri.org/GetlogPdf" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetPdfs">
      <soap12:operation soapAction="http://tempuri.org/GetPdfs" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetPdf">
      <soap12:operation soapAction="http://tempuri.org/GetPdf" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="ReportManager">
    <wsdl:port name="ReportManagerSoap" binding="tns:ReportManagerSoap">
      <soap:address location="http://localhost:52280/ReportManager.asmx" />
    </wsdl:port>
    <wsdl:port name="ReportManagerSoap12" binding="tns:ReportManagerSoap12">
      <soap12:address location="http://localhost:52280/ReportManager.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>